/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package edu.cmu.taghelpertools.gui;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;

class FeatureSelectionLayout implements LayoutManager {

    public FeatureSelectionLayout() {
    }

    public void addLayoutComponent(String name, Component comp) {
    }

    public void removeLayoutComponent(Component comp) {
    }

    public Dimension preferredLayoutSize(Container parent) {
        Dimension dim = new Dimension(0, 0);

        Insets insets = parent.getInsets();
        dim.width = /*323*/470 + insets.left + insets.right;
        dim.height = 372 + insets.top + insets.bottom;

        return dim;
    }

    public Dimension minimumLayoutSize(Container parent) {
        Dimension dim = new Dimension(0, 0);
        return dim;
    }

    public void layoutContainer(Container parent) {
        Insets insets = parent.getInsets();

        Component c;
        c = parent.getComponent(0);	// remove stp no rb
        if (c.isVisible()) {/*c.setBounds(insets.left+248,insets.top+184,72,24)*/c.setBounds(insets.left+248,insets.top+120,72,24);}
        c = parent.getComponent(1);	// stem yes rb
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+248,72,24)*/c.setBounds(insets.left+176,insets.top+184,72,24);}
        c = parent.getComponent(2);	//remove stp label
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+152,152,24)*/c.setBounds(insets.left+176,insets.top+88,112,24);}
        c = parent.getComponent(3);	// stem label
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+216,112,24)*/c.setBounds(insets.left+176,insets.top+152,152,24);}
        c = parent.getComponent(4);	// remove stp yes rb
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+184,72,24)*/c.setBounds(insets.left+176,insets.top+120,72,24);}
        c = parent.getComponent(5); // stem no rb
        if (c.isVisible()) {/*c.setBounds(insets.left+248,insets.top+248,72,24)*/c.setBounds(insets.left+248,insets.top+184,72,24);}
        c = parent.getComponent(6); // advanced feature editing
        if (c.isVisible()) {c.setBounds(insets.left+248,insets.top+280,150,24);}
        
        c = parent.getComponent(7); //label
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+88,72,24)*/ c.setBounds(insets.left+176,insets.top+216,112,24);}        
        c = parent.getComponent(8); //yes
        if (c.isVisible()) {/*c.setBounds(insets.left+176,insets.top+120,72,24)(*/c.setBounds(insets.left+176,insets.top+248,72,24);}         
        c = parent.getComponent(9); //no
        if (c.isVisible()) {/*c.setBounds(insets.left+248,insets.top+120,72,24)*/c.setBounds(insets.left+248,insets.top+248,72,24) ;} 
        
        c = parent.getComponent(10);
        if (c.isVisible()) {c.setBounds(insets.left+248,insets.top+306,72,24);}        
        
        c = parent.getComponent(11);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+120,152,24);}
        c = parent.getComponent(12);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+152,152,24);}
        c = parent.getComponent(13);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+184,152,24);}
        c = parent.getComponent(14);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+216,152,24);}
        c = parent.getComponent(15);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+248,152,24);}
        c = parent.getComponent(16);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+48,/*312*/450,24);}
        c = parent.getComponent(17);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+24,312,24);}
        c = parent.getComponent(18);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+88,152,24);}
        c = parent.getComponent(19);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+0,312,24);}
        c = parent.getComponent(20);
        if (c.isVisible()) {c.setBounds(insets.left+8,insets.top+280,200,24);}
        // allow user to set the frequecy threshold for rare features
        c = parent.getComponent(21);
        if (c.isVisible()) {c.setBounds(insets.left+32,insets.top+312,200,24);}
        c = parent.getComponent(22);
        if (c.isVisible()) {c.setBounds(insets.left+32,insets.top+344,72,24);}
    }
}

