/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package edu.cmu.taghelpertools.gui;

import weka.gui.GenericObjectEditor;
import javax.swing.*;
import weka.core.Utils;

public class GenericObjectEditor4TagHelper extends GenericObjectEditor{
	
	protected final static boolean USE_DYNAMIC = false;
	
	static { 
	      // Allow a properties file in the current directory to override
	      try {
	        EDITOR_PROPERTIES = Utils.readProperties(PROPERTY_FILE);
	        java.util.Enumeration keys = 
	  	(java.util.Enumeration)EDITOR_PROPERTIES.propertyNames();
	        if (!keys.hasMoreElements()) {
	  	  throw new Exception("Failed to read a property file for the "
	  			      +"generic object editor");
	        }
	      } catch (Exception ex) {
	        JOptionPane.showMessageDialog(null,
	  				    "Could not read a configuration file for the generic object\n"
	  				    +"editor. An example file is included with the Weka distribution.\n"
	  				    +"This file should be named \"" + PROPERTY_FILE + "\" and\n"
	  				    +"should be placed either in your user home (which is set\n"
	  				    + "to \"" + System.getProperties().getProperty("user.home") + "\")\n"
	  				    + "or the directory that java was started from\n",
	  				    "GenericObjectEditor",
	  				    JOptionPane.ERROR_MESSAGE);
	      }	    
	  }
	
	public GenericObjectEditor4TagHelper()
	{
		super();
	}
	
	  public GenericObjectEditor4TagHelper(boolean canChangeClassInDialog) 
	  {

		   super(canChangeClassInDialog);
	  }
		  	
}
