/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


package edu.cmu.taghelpertools.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import edu.cmu.taghelpertools.middle_layer.Driver;
import edu.cmu.taghelpertools.middle_layer.OptionsModel;



public class SetOptionsMenu extends JPopupMenu implements ActionListener {

    private String title;
    private OptionsModel optionsModel;
    private JMenuItem setOptionsMenuItem;

    public SetOptionsMenu(String title, OptionsModel optionsModel) {
        this.title = title;
        this.optionsModel = optionsModel;
        setOptionsMenuItem = new JMenuItem("Set Options");
        this.add(setOptionsMenuItem);
        setOptionsMenuItem.addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        if (e.getSource().equals(setOptionsMenuItem)) {
            OptionsFrame optionsFrame = new OptionsFrame(this.title, this.optionsModel);
        }
    }
}