/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package edu.cmu.taghelpertools.gui.extractor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class ExtractorLayout implements LayoutManager {

    public ExtractorLayout() {
    }

    public void addLayoutComponent(String name, Component comp) {
    }

    public void removeLayoutComponent(Component comp) {
    }

    public Dimension preferredLayoutSize(Container parent) {
        Dimension dim = new Dimension(0, 0);

        Insets insets = parent.getInsets();
        dim.width = 480 + insets.left + insets.right;
        dim.height = 500 + insets.top + insets.bottom;

        return dim;
    }

    public Dimension minimumLayoutSize(Container parent) {
        Dimension dim = new Dimension(0, 0);
        return dim;
    }

    public void layoutContainer(Container parent) {
        Insets insets = parent.getInsets();
        int h_gap = 5;
        int fw = 120;
        int fh = 200;
        int offset=33;
        int lstart = insets.left+8;
        Component c;
        

//     6   this.mainPanel.add(otherLabel);
//     7   this.mainPanel.add(new JScrollPane(this.otherList));     
//     8   this.mainPanel.add(new JSeparator( JSeparator.VERTICAL ));
//     9   this.mainPanel.add(new JSeparator( JSeparator.HORIZONTAL ));        
//     10   this.mainPanel.add(userLabel);
//     11   this.mainPanel.add(new JScrollPane(this.userDefinedList));
//     12   this.mainPanel.add(functionLabel);
//     13   this.mainPanel.add(new JScrollPane(functionList));
//     14   this.mainPanel.add(this.editingTextField);
//     15   this.mainPanel.add(this.addNewFeatureBtn);
              
        //first row
        c = parent.getComponent(0);
        c.setBounds(insets.left+fw*1+offset+2,		insets.top+5,	70,		20);  
        c = parent.getComponent(1);
        c.setBounds(insets.left+fw*1,				insets.top+25,	fw-5,	fh);
        c = parent.getComponent(2);
        c.setBounds(insets.left+fw*2+offset+3,		insets.top+5,70,20);        
        c = parent.getComponent(3);
        c.setBounds(insets.left+fw*2,				insets.top+25,fw-5 ,fh);  
        c = parent.getComponent(4);
        c.setBounds(insets.left+fw*3+offset,		insets.top+5,70,20);        
        c = parent.getComponent(5);
        c.setBounds(insets.left+fw*3,				insets.top+25, fw-5, fh);
        //2nd row
        c = parent.getComponent(6);
        c.setBounds(insets.left+80,			insets.top+25+fh+h_gap,	100,	20);        
        c = parent.getComponent(7);
        c.setBounds(insets.left+5, 			insets.top+45+fh+h_gap,	240-10, 130);
        
        c = parent.getComponent(8);
        c.setBounds(insets.left+80+240,		insets.top+25+fh+h_gap,	100,	20);     
        c = parent.getComponent(9);
        c.setBounds(insets.left+240, 			insets.top+45+fh+h_gap,	240-5, 130);
        //horizontal line
        c = parent.getComponent(10);
        c.setBounds(insets.left+5			,insets.top+25+fh,	470,3); 
        c = parent.getComponent(11);
        c.setBounds(insets.left+5			,insets.top+45+fh+h_gap+130,	470,3);    
        
        //operator
//        c = parent.getComponent(12);
//        c.setBounds(insets.left+h_gap+28,		insets.top+45+fh+2*h_gap+130,	70,		20);  
        c = parent.getComponent(12);
        c.setBounds(insets.left+h_gap,			insets.top+45+fh+2*h_gap+130,	fw-5, 110);
        
        //editor
        c = parent.getComponent(13);
        c.setBounds(insets.left+h_gap+fw*1,		insets.top+45+fh+2*h_gap+130,	60+2*fw -5,110); 
        c = parent.getComponent(14);
        c.setBounds(insets.left+h_gap+fw*3+60,		insets.top+45+fh+2*h_gap+130,	60-10,110);         
        
        //filter
        c = parent.getComponent(15);
        c.setBounds(insets.left,		insets.top+9,	fw-5,	fh+18);
        
        
        
        
        
        
        
        
    }
}