/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package edu.cmu.taghelpertools.tokenizer;

public class TestGerman{
    static String[] words = {"ckern",
			     "ackers",
			     "armes",
			     "derbsten",
			     "aufeinander",
			     "aufeinanderbiss",
			     "aufeinanderfolgen",
			     "auffassungsvermgen",
			     "aufflliges",
			     "kategorischer",
			     "kattunhalstcher",
			     "katholische",
    };


    public static void main(String argv[]){
	GermanStemmer s = new GermanStemmer();
	for(int i = 0; i < words.length; i++){
	    System.out.println(words[i] + " -> " + s.stem(words[i]));
	}
    }

}